<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$caja=$_POST['caja'];
$valor_traspaso=$_POST['valor_traspaso'];
$fecha=date('Y-m-d H:i:s');

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;

$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$mov_id=$dato['mov_id']+1;

$sql2=mysqli_query($con,"SELECT * from movimiento_caja where cajas_caja_id='$caja' and empresa='$empresa' and mca_estado='1'");
$rowa= mysqli_fetch_array($sql2);
$apertura_des=$rowa['apertura'];
$mca_usuario=$rowa['mca_usuario'];  
$sucursal_destino=$rowa['sucursal'];  

$registros=mysqli_query($con,"INSERT into movimientos (mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES ('$caja','$apertura_des','$mov_numero','$fecha','$mca_usuario','Traspaso','Traspaso de dinero desde la caja $cajas_caja_id','$valor_traspaso','entrada','efectivo','Efectivo','$sucursal_destino','$empresa')") or die(mysqli_error($con)); 

/* $registros2=mysqli_query($con,"INSERT into abono_adelantado (abo_numero,abo_fecha,abo_concepto,abo_valor,empresa,movimientos_mov_id) 
VALUES ('$abo_numero','$fecha','Traspaso','$valor_traspaso','$empresa','$mov_id')") or die(mysqli_error($con)); */


$registros3=mysqli_query($con,"INSERT into movimientos (mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES ('$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Traspaso','Traspaso de dinero a la caja $caja','$valor_traspaso','salida','efectivo','Efectivo','$sucursal','$empresa')") or die(mysqli_error($con));            

echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong></strong> Registrado correctamente
</div>';

?>